/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy
http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/programmable-numbers/proxyPuts the specified proxy configuration to the specified Amazon Chime Voice Connector.
Path Parameters
The Amazon Chime voice connector ID.
Body Params
When true, stops proxy sessions from being created on the specified Amazon Chime Voice Connector.
The phone number to route calls to after a proxy session expires.
The countries for proxy phone numbers to be selected from.
The default number of minutes allowed for proxy sessions.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}